lulusppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('storysatu/', include('storysatu.urls')),
    path('storylima/', include('storylima.urls')),
    path('storyenam/', include('storyenam.urls')),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.storytiga, name='storytiga'),
    path('activities', views.activities, name='activities'),
]

storyenam/urls.py
from django.urls import path
from . import views

app_name = 'storyenam'

urlpatterns = [
    path('', views.kegiatan, name='kegiatan'),
    path('delete/<str:pk>', views.delete, name='kegiatanDelete'),
    path('delete/member/<str:pk>', views.deleteMember, name='memberDelete')
]

storylima/urls.py
from django.urls import path
from . import views

app_name = 'storylima'

urlpatterns = [
    path('form', views.schedule, name='schedule'),
    path('list', views.list_subject, name='list_subject'),
    path('details/<int:index>', views.details_subject, name='details_subject'),
]

storysatu/urls.py
from django.urls import path
from . import views
app_name = "storysatu"

urlpatterns = [
    path('', views.storysatu, name="storysatu"),
]

main/models.py
from django.db import models

# Create your models here.

storyenam/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
    kegiatan = models.CharField(max_length=100)
    def __str__(self):
        return self.Kegiatan

class Member(models.Model):
    member = models.CharField(max_length=100)
    aktivitas = models.ForeignKey(Kegiatan, on_delete=models.CASCADE)
    def __str__(self):
        return self.member

storylima/models.py
from django.db import models

# Create your models here.
class Schedule(models.Model):
    subject = models.CharField(max_length=300, null=True)
    lecturer = models.CharField(max_length=300, null=True)
    credit = models.IntegerField(null=True)
    description = models.TextField(max_length=300, null=True)
    term = models.CharField(max_length=300, null=True)
    classroom = models.CharField(max_length=300, null=True)

storysatu/models.py
from django.db import models

# Create your models here.

storyenam/forms.py
from django import forms
from .models import Kegiatan, Member

class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = '__all__'
        widgets = {
            'activity' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Want to have fun?"}),
        }

class MemberForm(forms.ModelForm):
    class Meta:
        model = Member
        fields = '__all__'
        widgets = {
            'member' : forms.TextInput(attrs={
                'class': 'form-control',
                'placeholder': "Want to join?"}),
        }

storylima/forms.py
from django import forms
from .models import Schedule

class ScheduleForm(forms.Form):
    
    subject = forms.CharField(
        label = 'Subject', 
        max_length = 100, 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'Subject Name'}),
    )

    lecturer = forms.CharField(
        label = 'Lecturer', 
        max_length = 100, 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'Lecturer Name'}),
    )

    credit = forms.IntegerField(
        label = 'Credits', 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'SKS'}),
    )

    description = forms.CharField(
        label = 'Description', 
        max_length = 150, 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'Description'}),
    )

    term = forms.CharField(
        label = 'Term', 
        max_length = 100, 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'Ex: Ganjil 2020/2021'}),
    )

    classroom = forms.CharField(
        label = 'Classroom', 
        max_length = 100, 
        required = True,
        widget = forms.TextInput(attrs ={'placeholder': 'Classroom'}),
    )

main/views.py
from django.shortcuts import render
from django.http import HttpResponse

# def home(request):
#     return render(request, 'main/home.html')

def storytiga(request):
    return render(request, 'main/index.html')

def activities(request):
    return render(request, 'main/activities.html')

def storylima(request):
    return render(request, 'storylima/schedule.html')

def storyenam(request):
    return render(request, 'storyenam/kegiatan.html')

storyenam/views.py
from django.shortcuts import render, redirect
from .models import Member, Kegiatan
from .forms import MemberForm, KegiatanForm
from django.contrib import messages

# Create your views here.
def kegiatan(request):
    if request.method == "POST":
        formA = KegiatanForm(request.POST)
        formB = MemberForm(request.POST)
        if formA.is_valid():
            formA.save()
            return redirect('storyenam:kegiatan')
        elif formB.is_valid():
            formB.save()
            return redirect('storyenam:kegiatan')
        else:
            return redirect('storyenam:kegiatan')
    else:
        formA = KegiatanForm()
        formB = MemberForm()
        activities = Kegiatan.objects.all()
        members = Member.objects.all()
        context = {
            'formA' : formA,
            'formB' : formB,
            'activities' : activities,
            'members' : members
        }
        return render(request, 'kegiatan.html', context)

def delete(request,pk):
    kegiatan = Kegiatan.objects.get(id=pk)
    kegiatan.delete()
    return redirect('storyenam:kegiatan')

def deleteMember(request,pk):
    member = Member.objects.get(id=pk)
    member.delete()
    return redirect('storyenam:kegiatan')

storylima/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .models import Schedule
from .forms import ScheduleForm
from storylima import forms, models

# Create your views here.
def schedule(request):
    schedule = Schedule.objects.all().values()
    form = ScheduleForm(request.POST or None)
    context = {
        'schedule':schedule,
        'form':form,
    }
    if request.method == "POST":
        if form.is_valid():
            schedule.create(
                subject = form.cleaned_data.get('subject'),
                lecturer = form.cleaned_data.get('lecturer'),
                credit = form.cleaned_data.get('credit'),
                description = form.cleaned_data.get('description'),
                term = form.cleaned_data.get('term'),
                classroom = form.cleaned_data.get('classroom'),
            )
        return redirect('/storylima/list')
           
    return render(request, 'schedule.html', context)

def list_subject(request):
    schedule = Schedule.objects.all().values()
    context = {'schedule':schedule}
    if request.method == "POST":
        if 'id' in request.POST:
            Schedule.objects.get(id=request.POST['id']).delete()
            return redirect('/storylima/list')
    list_subject = Schedule.objects.all()
    return render(request, 'list_subject.html', {'schedule':list_subject})

def details_subject(request, index):
    schedule = Schedule.objects.get(pk=index)
    context = {'schedule':schedule}
    return render(request, 'details_subject.html', context)

storysatu/views.py
from django.shortcuts import render
from django.http import HttpResponse

# Create your views here.
def storysatu(request):
    return render(request, 'storysatu.html')

main/templates/main/activities.html
{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}

<!doctype html>
{% load static %}
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{% static '/main/css/style.css' %}">
        <link rel="stylesheet" href="fa/fontawesome/css/all.css">
        <link rel="stylesheet" href="index.html">

        <title>Nurhafizatun Nisa</title>
        <style>
            div.gallery {
                border: 1px solid #ccc;
            }
            
            div.gallery:hover {
                border: 1px solid #777;
            }
            
            div.gallery img {
                width: 100%;
                height: auto;
            }
            
            div.desc {
                padding: 15px;
                text-align: center;
            }
            
            * {
                box-sizing: border-box;
            }
            
            .responsive {
                padding: 0 6px;
                float: left;
                width: 24.99999%;
            }
            
            @media only screen and (max-width: 700px) {
                .responsive {
                width: 49.99999%;
                margin: 6px 0;
                }
            }
            
            @media only screen and (max-width: 500px) {
                .responsive {
                width: 100%;
                }
            }
            
            .clearfix:after {
                content: "";
                display: table;
                clear: both;
            }
          </style>
    </head>

    <body data-spy="scroll" data-target=".navbar">
        <nav class="navbar navbar-expand-lg navbar-light bg-info fixed-top" id="mainNav">
            <div class="container">
            <a class="navbar-brand" href="{% url 'main:storytiga' %}#home">NN</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav">
                <li class="nav-item active">
                    <a class="nav-link" href="{% url 'main:storytiga' %}#home">HOME <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'main:storytiga' %}#education">Education</a>
                  </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'main:storytiga' %}#experience">Experience</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'main:storytiga' %}#project">Project</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'main:storytiga' %}#contact">Contact</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'main:activities' %}#activities">Activities</a>
                </li>
              </ul>
            </div>
          </div>
        </nav>

        <div class="container-fluid activities" id="activity">
            <div class="row pendidikan bg-transparent">
                <div class="col-sm-12 bg-transparent">
                    <br> <br> <br> 
                    <h2 class="desc float-left mr-3">Activities</h2>
                </div>

                <div class="col-sm-12 bg-transparent">
                    <h6 class="desc float-left mr-3">Di sini akan ditulis kegiatan apa saja yang dilakukan oleh saya selama berada di Fasilkom UI.</h6>
                </div>

            </div>
        </div>

        <h2>Galeri Semester Satu</h2>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_5terre.jpg">
            <img src="{% static '/main/img/psaf2.jpg' %}" alt="Cinque Terre" width="600" height="400">
            </a> 
            <div class="desc">PSAF 1</div>
        </div>
        </div>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_forest.jpg">
            <img src="{% static '/main/img/psaf1.jpg' %}" alt="Forest" width="600" height="400">
            </a>
            <div class="desc">PSAF 2</div>
        </div>
        </div>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_lights.jpg">
            <img src="{% static '/main/img/lastmentoring.jpg' %}" alt="Northern Lights" width="600" height="400">
            </a>
            <div class="desc">Mentoring terakhir PMB</div>
        </div>
        </div>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_mountains.jpg">
            <img src="{% static '/main/img/mk.jpg' %}" alt="Mountains" width="600" height="400">
            </a>
            <div class="desc">Momen Kekerabatan</div>
        </div>
        </div>

        <div class="clearfix"></div>

        <!-- <div style="padding:6px;">
        <p>This example use media queries to re-arrange the images on different screen sizes: for screens larger than 700px wide, it will show four images side by side, for screens smaller than 700px, it will show two images side by side. For screens smaller than 500px, the images will stack vertically (100%).</p>
        <p>You will learn more about media queries and responsive web design later in our CSS Tutorial.</p>
        </div> -->

        <br> <br> <br>
        <h2>Galeri Semester Dua</h2>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_5terre.jpg">
            <img src="{% static '/main/img/biddingpo.jpg' %}" alt="Cinque Terre" width="600" height="400">
            </a>
            <div class="desc">Bidding PO/VPO PMB</div>
        </div>
        </div>


        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_forest.jpg">
            <img src="{% static '/main/img/pmbtimbul.jpg' %}" alt="Forest" width="600" height="400">
            </a>
            <div class="desc">Team Building PMB</div>
        </div>
        </div>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_lights.jpg">
            <img src="{% static '/main/img/bidding.jpg' %}" alt="Northern Lights" width="600" height="400">
            </a>
            <div class="desc">Broadcast Poster Bidding Sekretaris PMB</div>
        </div>
        </div>

        <div class="responsive">
        <div class="gallery">
            <a target="_blank" href="img_mountains.jpg">
            <img src="{% static '/main/img/lulusbidding.jpg' %}" alt="Mountains" width="600" height="400">
            </a>
            <div class="desc">Lulus Bidding Sekretaris PMB</div>
        </div>
        </div>
    </div>

        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>

        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>

        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    </body>
</html>
{% endblock content %}

main/templates/main/base.html
{% load static %}

<head>
    {% block meta %}
    {% endblock meta %}
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static '/main/css/style.css' %}">
    <link rel="stylesheet" href="fa/fontawesome/css/all.css">
    <link rel="stylesheet" href="activities.html">

    <title>Nurhafizatun Nisa</title>

</head>

<body data-spy="scroll" data-target=".navbar">
    {% block content %}
	{% endblock content %}

    <nav class="navbar navbar-expand-lg navbar-light bg-info fixed-top" id="mainNav">
        <div class="container">
        <a class="navbar-brand" href="{% url 'main:storytiga' %}" >NN</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" href="{% url 'main:storytiga' %}#home">HOME <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'main:storytiga' %}#education">Education</a>
                </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'main:storytiga' %}#experience">Experience</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'main:storytiga' %}#project">Project</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'main:storytiga' %}#contact">Contact</a>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                  More
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <h6><a class="dropdown-item" href="{% url 'storysatu:storysatu' %}">Story 1</a></h6>
                    <div class="dropdown-divider"></div>
                    <h6><a class="dropdown-item" href="{% url 'main:activities' %}">Gallery</a></h6>
                    <div class="dropdown-divider"></div>
                    <h6 class="dropdown-item">Story 5</h6>
                    <h6><a class="dropdown-item" href="{% url 'storylima:list_subject' %}">Schedule</a></h6>
                    <h6><a class="dropdown-item" href="{% url 'storylima:schedule' %}">Add Subject</a></h6>
                    <div class="dropdown-divider"></div>
                    <h6 class="dropdown-item">Story 6</h6>
                    <h6><a class="dropdown-item" href="{% url 'storyenam:kegiatan' %}"> Activity</a></h6>
                    <h6><a class="dropdown-item" href="{% url 'storyenam:kegiatan' %}"> Add Activity</a></h6>
                </div>
              </li>
            </ul>
        </div>
        </div>
    </nav>

    <div class="container-fluid card" id="contact">
      <div class="card-header bg-transparent">
        <h5><b>Contact</b> </h5> <br>
      <div class="contact bg-transparent">
        <p> <b>Email </b> nurhafizatun.nisa@ui.ac.id</p>
        <p> <b>LinkedIn </b> Nurhafizatun Nisa</p>
        <p> <b>Instagram </b> @nrhfztn_nisa</p>
      </div>
      </div>
      
      <div class="card-body">
        <blockquote class="blockquote mb-0">
          <a href="https://mail.google.com/mail/u/0/#inbox?compose=CllgCJTJGGqkkZdcjwwnhmTrcFGPLjNzLGjFKZHMvRkXdKvqVZvTCfgZWrQWzNVvdpgFLvxQwkL" target="_blank">
            <img src="{% static '/main/img/gmail.png' %}" alt="LinkedIn" style=width:50px;height:50px/>
          </a>

          <a href="https://www.linkedin.com/in/nurhafizatun-nisa-85935b194/" target="_blank">
          <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/c/ca/LinkedIn_logo_initials.png/600px-LinkedIn_logo_initials.png" alt="LinkedIn" style=width:50px;height:50px/>
          </a>

          <a href="https://www.instagram.com/nrhfztn_nisa/" target="_blank">
          <img src="https://www.freepnglogos.com/uploads/instagram-logos-png-images-free-download-2.png" alt="Instagram" style=width:50px;height:50px/> <br>
          </a>

          <h5 class="copyright float mr-3">© Nisa 2020</h5>

        </blockquote>
      </div>
    </div>
</body>

storyenam/templates/kegiatan.html
{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}

<body style="background-color: #62C2CC;">
    <br><br><br><br><br>
    <div class="container py-4">
        <h1 class="display-4 text-center pb-4 border-bottom">MY ACTIVITY</h1>
        <Form method="POST" class="row my-5">
            {% csrf_token %}
            <div class="col-7 ml-auto">
                {{ formA.kegiatan }}
            </div>
            <button type="submit" class="btn btn-warning col-2 mr-auto">ADD ACTIVITY</button>
        </Form>
        <hr>
        <div class="d-flex justify-content-around flex-wrap pb-4">
            {% for data_kegiatan in kegiatan %}
            <div class="card bg-light mt-5" style="width: 18rem;">
                <div class="card-header">
                    <div class="row">
                        <h5 class="col-10 mb-2">{{ kegiatan }}</h5>
                        <a href="{% url 'storyenam:kegiatanDelete' kegiatan.id %}" class="col-2">
                            <button type="button" class="close mb-2">&times;</button>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    <h6 class="card-title">Members:</h6>
                    <p></p>
                    <ul>
    
                        {% for member in members %}
                        {% if member.aktivitas.id == kegiatan.id %}
                        <li class="row">
                            <h5 class="col-10">{{ member }}</h5>
                            <a href="{% url 'storyenam:memberDelete' member.id %}" class="col-2">
                                <button type="button" class="close">&times;</button>
                            </a>    
                        </li>
                        {% endif %}
                        {% endfor %}
    
                    </ul>
                    <form method="POST">
                        {% csrf_token %}
                        {{ formB.member }}
                        <input name="aktivitas" type="text" value="{{ kegiatan.id }}" style="display: none;">
                        <button type="submit" class="btn btn-warning col-6 mt-2">Join</button>
                    </form>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</body>
    {% endblock content %}
    

storyenam/templates/list_kegiatan.html
{% extends "base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}
<body style="background-color: #62C2CC;">

    <div class="container">
        <hr>
        <div class="row">
            <div class="col">
                <a type="button" class="btn btn-danger btn-lg btn-block" href="{% url 'storyenam:kegiatan' %}">Add and Join Activity</a>
            </div>
        </div>
        <div class="d-flex justify-content-around flex-wrap pb-4">
            {% for list in kegiatan %}
            <div class="card bg-danger text-white mt-5" style="width: 18rem;">
                <div class="card-header">
                    <div class="row">
                        <h5 class="col-10 mb-2"><strong>Activity</strong> <br> {{ x.kegiatan }}</h5>
                        <h5 class="col-10 mb-2"><strong>Category</strong> <br> {{ x.category }}</h5>
                        <a href="{% url 'storyenam:delete' x.id %}" class="col-2">
                            <button type="button" class="close mb-2">&times;</button>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    <h6 class="card-title">Participants</h6>
                    <p></p>
                    <ul>
                            {% for y in member %}
                            {% if y.kegiatan == x %}
                            <li class="row">
                                <h5 class="col-10">{{ y.name }}</h5>
                                <a href="delete/member/{{ y.id }}" class="col-2">
                                    <button type="button" class="close">&times;</button>
                                </a>    
                            </li>
                            {% endif %}
                        {% endfor %}
    
                    </ul>
                </div>
            </div>
            {% endfor %}          
    </div>
</body>
{% endblock content %}

storylima/templates/details_subject.html
{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}
<body style="background-color: #62C2CC;">
    <br><br><br><br><br>
    <h1 style="text-align:center"> <strong>DETAILS SUBJECT</strong> </h1>
    <div class="container">
        <section class="card-body" style="width: 30rem;" id="schedule">
            <div class="card text-black bg-warning">
                <h3 class="card-header text-black"><strong>{{ schedule.subject }}</strong></h3>
                <div class="card-body">
                    <h3 class="card-text"><strong>Lecturer</strong><br>{{ schedule.lecturer }}</h3>
                    <h3 class="card-text"><strong>Credit</strong><br>{{ schedule.credit }} Credits</h3>
                    <h3 class="card-text"><strong>Term</strong><br>{{ schedule.term }}</h3>
                    <h3 class="card-text"><strong>Classroom</strong><br>{{ schedule.classroom }}</h3>
                    <h3 class="card-text"><strong>Description</strong><br>{{ schedule.description }}</h3>          
                </div>
            </div>
        </section>
        <br><br><br><br>
        <div class="row">
            <div class="col">
                <a type="button" class="btn btn-warning btn-lg btn-block" href="{% url 'storylima:list_subject' %}">Back</a>
            </div>
        </div>
    </div>
</body>
{% endblock content %}

storylima/templates/list_subject.html
{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}
<body style="background-color: #62C2CC;">
    <br><br><br><br><br>
    <h1 style="text-align:center"> <strong>LISTS SUBJECT</strong> </h1> <br>
    <div class="container">
        <div class="table-responsive table-borderless">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th scope="col">SUBJECT</th>
                        <th scope="col">LECTURER</th>
                        <th scope="col">CLASSROOM</th>
                        <th scope="col">CREDITS</th>
                    </tr>
                </thead>
                <tbody>
                    {% for course in schedule %}
                    <tr>
                        <td scope="row"><a href="details/{{ course.id }}" class="text-dark"><strong>{{ course.subject }}</strong></a></td>
                        <td>{{ course.lecturer }}</td>
                        <td>{{ course.classroom }}</td>
                        <td>{{ course.credit }}</td>
                        <td>
                            <form method="POST" action="">
                                {% csrf_token %}
                                <input name="id" value="{{ course.id }}" type="hidden">                        
                                <button type="submit" value="Submit" class="btn btn-warning">Delete</button>
                            </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>

        <br><br><br><br>
        <div class="row">
            <div class="col">
                <a type="button" class="btn btn-warning btn-lg btn-block" href="{% url 'storylima:schedule' %}">Add New Subject</a>
            </div>
        </div>
    </div> 
</body>
{% endblock content %}

storylima/templates/schedule.html
{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}
<body style="background-color: #62C2CC;">

    <div class="container">
        <hr>
        <br><br><br><br><br>
        <h1 class="row justify-content-md-center"> <strong>ADD SUBJECT</strong> </h1>
        <div class="row justify-content-md-left">
            <form class="form-group" method="POST">
                {% csrf_token %}
                {% for field in form %}
                <h4 class="d-flex align-content-start flex-wrap">{{ field.label }}</h4>
                <h4 class="d-flex align-content-start flex-wrap">{{ field }}</h4>
                {% endfor %}
                <br><br>
                <input type="submit" value="Submit" class="btn btn-outline-warning btn-lg">    
            </form>
        </div>

        <br><br><br><br>
        <div class="row">
            <div class="col">
                <a type="button" class="btn btn-warning btn-lg btn-block" href="{% url 'storylima:list_subject' %}">List of Subjects</a>
            </div>
        </div>
    </div>
</body>
{% endblock %}